"use strict";
const sjcl = require('sjcl');
class AES {
    static encrypt(data, key) {
        if (typeof data === 'object')
            data = JSON.stringify(data);
        const { iv, salt, ct } = JSON.parse(sjcl.encrypt(key, data, { mode: 'gcm' }));
        return JSON.stringify({ iv, salt, ct });
    }
    static decrypt(encryptedData, key) {
        encryptedData = JSON.stringify(Object.assign(JSON.parse(encryptedData), { mode: 'gcm' }));
        let clear = sjcl.decrypt(key, encryptedData);
        try {
            return JSON.parse(clear);
        }
        catch (e) {
            return clear;
        }
    }
}
exports.AES = AES;
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = AES;
//# sourceMappingURL=AES.js.map