import { ProtocolEnum } from '../models/Enum'

/**
 * toast 持续时长
 */
export const kToastDurtion: number = 2

/**
 * 密码最低长度
 */
export const kPasswordLen: number = 8

/**
 * 创建账户的正则
 */
export const kAccountNameRegex: RegExp = /^[a-z1-5]{12}$/

/**
 * 默认签名的过期时间 (毫秒) 5天
 */
export const kDefaultExp: number = 5 * 60 * 1000 // 5 * 24 * 60 * 60 * 1000

/**
 * name:默认链的名称
 */
export const chain_name: string = 'DMC Mainnet'

/**
 * name:默认链的协议
 */

// 内部测试环境-留存 ip
export const chain_protocol: ProtocolEnum = ProtocolEnum.http
export const chain_host: string = '154.64.7.46'
export const chain_port: number = 8870
export const chain_chainId: string = '50365544da7848f03cb0a346770086b72e6d80e4a37ae0003d661e43c4ca4f6a'
export const create_tunnel: string = `http://154.22.235.220:8080/1.0/app/token/create`
export const tracker_url: string = `http://154.22.235.220:8781`

// 内部测试环境-留存 ip -clearF
// export const chain_protocol: ProtocolEnum = ProtocolEnum.http
// export const chain_host: string = '154.31.40.10'
// export const chain_port: number = 8032
// export const chain_chainId: string =
//     '846dadc224819b7aeca099d55b9f83465eb0a71a5b0bfe30ae8f1ebb39213618'
// export const create_tunnel: string = `http://${chain_host}:${chain_port}/1.0/app/token/create`
// export const tracker_url: string = `http://${chain_host}:${chain_port}`

// rc2 测试环境
// export const chain_protocol: ProtocolEnum = ProtocolEnum.http
// export const chain_host: string = '156.242.10.10'
// export const chain_port: number = 8361
// export const chain_chainId: string =
//     'bb6e31180359e169335481bad672aadf57cfb5787379bedb6a5dce916fcb0ac5'
// export const create_tunnel: string = `http://${chain_host}:${chain_port}/1.0/app/token/create`
// export const tracker_url: string = `http://${chain_host}:${chain_port}`

// test2
// export const chain_protocol: ProtocolEnum = ProtocolEnum.http
// export const chain_host: string = '154.31.0.30'
// export const chain_port: number = 8005
// export const chain_chainId: string =
//     '38d2f43e4494efa5817b1225f0d534d6f44fb3a21ba36407d8d100e34bf3a886'
// export const create_tunnel: string = `http://${chain_host}:${chain_port}/1.0/app/token/create`
// export const tracker_url: string = `http://${chain_host}:${chain_port}`


// rc1 测试环境
// export const chain_protocol: ProtocolEnum = ProtocolEnum.http
// export const chain_host: string = 'test.dmctech.io'
// export const chain_port: number = 80
// export const chain_chainId: string ='4d1fb981dd562d2827447dafa89645622bdcd4e29185d60eeb45539f25d2d85d'
// export const create_tunnel: string = `http://${chain_host}:${chain_port}/1.0/app/token/create`
// export const tracker_url: string = `http://${chain_host}:${chain_port}`

// rc2 测试环境
// export const chain_protocol: ProtocolEnum = ProtocolEnum.http
// export const chain_host: string = '156.242.10.10'
// export const chain_port: number = 8361
// export const chain_chainId: string =
//     'bb6e31180359e169335481bad672aadf57cfb5787379bedb6a5dce916fcb0ac5'
// export const create_tunnel: string = `http://${chain_host}:${chain_port}/1.0/app/token/create`
// export const tracker_url: string = `http://${chain_host}:${chain_port}`

// 生产环境
// export const chain_protocol: ProtocolEnum = ProtocolEnum.http
// export const chain_host: string = 'scontract.dmctech.io'
// export const chain_port: number = 32121
// export const chain_chainId: string = '4d1fb981dd562d2827447dafa89645622bdcd4e29185d60eeb45539f25d2d85d' //  生产环境
// export const create_tunnel: string = 'http://scontract.dmctech.io:32121/1.0/app/token/create'
// export const tracker_url: string = 'http://scontract.dmctech.io:32121'

// clearf
// export const chain_protocol: ProtocolEnum = ProtocolEnum.http
// export const chain_host: string = 'scontract.dmctech.io'
// export const chain_port: number = 8361
// export const chain_chainId: string = '4d1fb981dd562d2827447dafa89645622bdcd4e29185d60eeb45539f25d2d85d' //  生产环境
// export const create_tunnel: string = 'http://scontract.dmctech.io:8361/1.0/app/token/create'
// export const tracker_url: string = 'http://scontract.dmctech.io:8361'

export const getAccountsByAuthorizers: string = `http://${chain_host}:${chain_port}/v1/chain/get_accounts_by_authorizers` // 导入账户使用get_accounts_by_authorizers节点
/**
 * name:公钥前缀
 */
export const public_key_prefix: string = 'DM'

/**
 * name:创建账户所需的key
 */
export const create_key: string = 'kQkAjnFj8vI='
export const version: string = '1.5.1'

/**
 * resource
 */

export const requiredByte = '40960'
export const requiredCpu = '0.1000'
export const requiredNet = '0.1000'

export const dmc_website = 'https://www.dmctech.io'

