// @ts-ignore
import DMC from 'dmc.js'
import BigNumber from 'bignumber.js'
import { chain_host, chain_port, chain_chainId } from '../config'
import { stringToName } from '../utils/stringToName'

//初始化客户端
let dmc = DMC({
    chainId: chain_chainId,
    keyProvider: '',
    httpEndpoint: `http://${chain_host}:${chain_port}`,
    logger: {
        log: null,
        error: null,
    },
    keyPrefix: 'DM',
})

export function transfer({ from, to, quantity, memo }: any, callback: any) {
    dmc.contract('dmc.token').then((contract: any) => {
        contract
            .transfer(
                {
                    from: from,
                    to: to,
                    quantity: quantity,
                    memo: memo,
                },
                { authorization: from }
            )
            .then((res: any) => {
                callback(res)
            })
            .catch((err: any) => {
                console.log(err)
            })
    })
}

export function account(name: string) {
    return dmc.rpc.get_table_rows({
        code: 'dmc.token',
        json: true,
        scope: stringToName(name),
        table: 'accounts',
    })
}

export function lockAccount(name: string) {
    return dmc.rpc.get_table_rows({
        code: 'dmc.token',
        json: true,
        scope: stringToName(name),
        table: 'lockaccounts',
        limit: 100000
    })
}
