import React, { Component } from 'react'
import Prompt from '../../models/Prompt'
import { DMC_IS_UNLOCK, DMC_REQUEST_IDENTITY, DMC_REQUEST_SIGN, REQUEST_ATTRIBUTE_SIGN } from '../../constKeys/ConstKeys'
import PromptLocked from './locked'
import Identity from './identity'
import Signature from './signature'
import AttributeSign from './attributeSign'
import '../../style/prompt'
import LocalizationHelper from '../../localization/LocalizationHelper'


interface IPromptMainProps {
    prompt: Prompt
}


export default class PromptMain extends Component<IPromptMainProps> {
    constructor(props: IPromptMainProps) {
        super(props)
        if(props.prompt){
            const { prompt: { scatter: { setting: { language } } } } = props
            LocalizationHelper.setLan(language)
        }
    }

    // shouldComponentUpdate(nextProps: Readonly<IPromptMainProps>, nextState: Readonly<{}>, nextContext: any): boolean {
    //     console.log(
    //         "this.props:",
    //         this.props.prompt.scatter.keyChain.identitys,
    //         "bextprops:",
    //         nextProps.prompt.scatter.keyChain.identitys
    //     )s
    //     //  return true
    //     if (
    //         JSON.stringify(this.props.prompt.scatter.keyChain.identitys) !==
    //         JSON.stringify(nextProps.prompt.scatter.keyChain.identitys)
    //     ) {
    //         console.log(111)
    //         return true
    //     }
    //     return false
    // }


    render() {
        const { prompt=new Prompt() } = this.props
        // const { scatter } = prompt
        switch (prompt ? prompt.type : '') {
            case DMC_IS_UNLOCK:
                return <PromptLocked prompt={prompt} />
            case DMC_REQUEST_IDENTITY:
                return <Identity prompt={prompt} scatter={prompt.scatter || null} />
            case DMC_REQUEST_SIGN:
                return <Signature prompt={prompt} scatter={prompt.scatter || null} />
            case REQUEST_ATTRIBUTE_SIGN:
                return <AttributeSign prompt={prompt} scatter={prompt.scatter || null} />
            default:
                return <div />
        }
    }
}